## org.apache.poi.ss.formula.eval
Class UnaryMinusEval

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed1ArgFunction
          org.apache.poi.ss.formula.eval.UnaryMinusEval

All Implemented Interfaces:
  Function, Function1Arg

    public final class UnaryMinusEval

extends Fixed1ArgFunction

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static Function` `instance`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final Function instance

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0)

  Description copied from interface: `Function1Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.